## com.ibm.lab.soln.sqleditor
Class SQLEditor

    java.lang.Object
      |
      +--org.eclipse.ui.part.WorkbenchPart
            |
            +--org.eclipse.ui.part.EditorPart
                  |
                  +--org.eclipse.ui.texteditor.AbstractTextEditor
                        |
                        +--com.ibm.lab.soln.sqleditor.SQLEditor

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.ui.IEditorPart, org.eclipse.core.runtime.IExecutableExtension, org.eclipse.ui.IReusableEditor, org.eclipse.ui.texteditor.ITextEditor, org.eclipse.ui.texteditor.ITextEditorExtension, org.eclipse.ui.IWorkbenchPart

public class SQLEditor
extends org.eclipse.ui.texteditor.AbstractTextEditor

This class is responsible for configuring the SQL editor.

Fields inherited from class org.eclipse.ui.texteditor.AbstractTextEditor
`ACTION_MAP, DEFAULT_EDITOR_CONTEXT_MENU_ID, DEFAULT_RULER_CONTEXT_MENU_ID, fErrorLabel, PREFERENCE_COLOR_BACKGROUND, PREFERENCE_COLOR_BACKGROUND_SYSTEM_DEFAULT, PREFERENCE_COLOR_FIND_SCOPE, PREFERENCE_COLOR_FOREGROUND, PREFERENCE_COLOR_FOREGROUND_SYSTEM_DEFAULT, PREFERENCE_FONT, VERTICAL_RULER_WIDTH`

Fields inherited from interface org.eclipse.ui.IEditorPart
`PROP_DIRTY, PROP_INPUT`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Constructor Summary
`SQLEditor()` Constructor for SQLEditor.

Method Summary
`protected void` | `createActions()` Method to install the editor actions.
`void` | `disposeColorProvider()` Clean up the font colors used in the syntax hilighting
`static SQLCodeScanner` | `getSQLCodeScanner()` Getter method that returns a SQL Code Scanner.

Methods inherited from class org.eclipse.ui.texteditor.AbstractTextEditor
`addAction, addAction, addGroup, addRulerContextMenuListener, adjustHighlightRange, affectsTextPresentation, canHandleMove, close, createNavigationActions, createPartControl, createSaveOperation, createSourceViewer, createVerticalRuler, dispose, doRevertToSaved, doSave, doSaveAs, doSetInput, editorContextMenuAboutToShow, enableSanityChecking, firePropertyChange, getAction, getAdapter, getContextMenuListener, getCursorListener, getCursorPosition, getDocumentProvider, getEditorContextMenuId, getHelpContextId, getHighlightRange, getPreferenceStore, getRangeIndicator, getRulerContextMenuId, getRulerMouseListener, getSelectionChangedListener, getSelectionProvider, getSourceViewer, getSourceViewerConfiguration, getStatusField, getVerticalRuler, gotoMarker, handleCursorPositionChanged, handleEditorInputChanged, handleExceptionOnSave, handleInsertModeChanged, handlePreferenceStoreChanged, init, isDirty, isEditable, isEditorInputReadOnly, isInInsertMode, isSaveAsAllowed, isSaveOnCloseNeeded, markAsContentDependentAction, markAsPropertyDependentAction, markAsSelectionDependentAction, markAsStateDependentAction, performSaveAs, performSaveOperation, rememberSelection, removeActionActivationCode, removeRulerContextMenuListener, resetHighlightRange, restoreSelection, rulerContextMenuAboutToShow, safelySanityCheckState, sanityCheckState, selectAndReveal, setAction, setActionActivationCode, setCompatibilityMode, setDocumentProvider, setEditorContextMenuId, setFocus, setHelpContextId, setHighlightRange, setInput, setPreferenceStore, setRangeIndicator, setRulerContextMenuId, setSourceViewerConfiguration, setStatusField, showHighlightRangeOnly, showsHighlightRangeOnly, updateContentDependentActions, updatePropertyDependentActions, updateSelectionDependentActions, updateState, updateStateDependentActions, updateStatusField, updateStatusFields, validateState`

Methods inherited from class org.eclipse.ui.part.EditorPart
`getEditorInput, getEditorSite, getTitleToolTip`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart
`addPropertyListener, getConfigurationElement, getDefaultImage, getSite, getTitle, getTitleImage, removePropertyListener, setInitializationData, setSite, setTitle, setTitleImage, setTitleToolTip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IEditorPart
`getEditorInput, getEditorSite`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

Constructor Detail

### SQLEditor

    public SQLEditor()

  Constructor for SQLEditor. Intialization takes place in the constructor of SQLEditor using setDocumentProvider and setRangeIndicator.

Method Detail

### createActions

    protected void createActions()

  Method to install the editor actions.
  Overrides:
    `createActions` in class `org.eclipse.ui.texteditor.AbstractTextEditor`
  See Also:
    `AbstractTextEditor.createActions()`

### disposeColorProvider

    public void disposeColorProvider()

  Clean up the font colors used in the syntax hilighting

### getSQLCodeScanner

    public static SQLCodeScanner getSQLCodeScanner()

  Getter method that returns a SQL Code Scanner.
  Returns:
    SQLCodeScanner